#! /bin/csh
#
#    specify time on screen and select models
set data = $1
set MZP = $2
set maglim1 = $3
set maglim2 = $4
set filter = $5
set TMF = $6
set psfile = $7
########################################################################
#   Start SM
#
#sm -S << FIN
/usr/local/bin/sm -S << FIN

# do not alter the code above this line

# The following line outputs checks if the user has enetered a 'wait' time >1
# if the 'wait' time from the command line is 0, then the output is sent to a file
#
# to output to gif rather than postscript, uncomment the second line and 
# comment out the first line
if ( 0 ) {device x11} else {dev postencap $psfile}   # output to .ps

#  Type your sm commands here. An example is provided

    data "$data"
    lines 4 0
    read !{2mass_mag 4 2mass_err 5 4star_mag 6 4star_err 7 }
    set 4star_mag = 4star_mag + $MZP
    set temp = (2mass_mag - 4star_mag)


    set MEAS = temp if ( 2mass_mag > $maglim1 && 2mass_mag < $maglim2 )
    set W = 1/(2mass_err**2 + 4star_err**2) if ( 2mass_mag > $maglim1 && 2mass_mag < $maglim2 )
    set ZPN = dimen(MEAS)
    set ZP = sum(MEAS*W)/sum(W)
    sort {MEAS}
    set ZP = MEAS[int(dimen(MEAS)/2)]
    set SIGA = sqrt(1/sum(W))

    delete MEAS
    delete W
    set MEAS = temp if ( 2mass_mag > $maglim1 && 2mass_mag < $maglim2 && (temp-ZP)**2 < (3*SIGA*sqrt(ZPN))**2 )
    set W = 1/(2mass_err**2 + 4star_err**2) if ( 2mass_mag > $maglim1 && 2mass_mag < $maglim2 && (temp-ZP)**2 < (3*SIGA*sqrt(ZPN))**2 )
    set ZPN2 = dimen(MEAS)
    set ZP2 = sum(MEAS*W)/sum(W)
    set SIGA2 = sqrt(1/sum(W))


    ctype black
    window 1 1 1 1 
    ptype 2 1  
    lweight 1

    limits 10 18 -2 2
    box 1 2 0 0 
    expand 1.0 
    ctype black
    ptype 30 3
    points 2mass_mag temp 
#    error_x 2mass_mag temp 2mass_err
    error_y 2mass_mag temp 2mass_err

    expand 3
    ptype 4 1
    points 2mass_mag temp  if ( 2mass_mag <= $maglim1 || 2mass_mag >= $maglim2 || (temp-ZP)**2 >= (3*SIGA*sqrt(ZPN))**2   )
    expand 1

    relocate $maglim1 -10 draw $maglim1 10
    relocate $maglim2 -10 draw $maglim2 10


    ctype black
    expand 1.0 
    ltype 1 
    toplabel 2MASS ZEROPOINT OFFSET
    expand 0.8  
    xlabel 2MASS $TMF
    ylabel 2MASS $TMF - $filter
    expand 1.0


    relocate 0 \$(ZP2[0])
    draw 100 \$(ZP2[0])
    relocate (5000 5000)
    label ZP = \$(sprintf('%7.3f',\$(ZP2[0])))+-\$(sprintf('%4.3f',\$(SIGA2[0]))):n=\$(ZPN2)

    


# do not alter below this line

FIN

exit

